comedi_get_max_buffer_size
Prev | 5.4.2. Asynchronous commands | Next

## Name

comedi_get_max_buffer_size — maximum streaming buffer size

## Synopsis

    #include <comedilib.h>

`int comedi_get_max_buffer_size(` | comedi_t * device,
| unsigned int subdevice`)`;

## Description

The function `comedi_get_max_buffer_size` returns the maximum allowable size (in bytes) of the streaming buffer for the subdevice specified by `device` and `subdevice`. Changing the maximum buffer size can be accomplished with `comedi_set_max_buffer_size` or with the comedi_config program, and requires appropriate privileges.

## Return value

On success, the maximum allowable size (in bytes) of the streaming buffer is returned. On failure, `-1` is returned.

Prev | Up | Next
comedi_get_cmd_src_mask | Home | comedi_get_read_subdevice